/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.386 Revision 1.466
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.466 2010/08/19 21:35:06 a3li Exp $
4
5*ruby-1.8.6_p399 (19 Aug 2010)
6
7 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
8 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
9 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
10 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
11 installation path (reported by the x86 team in bug 332597)
12
13*ruby-1.9.2_rc2-r1 (18 Aug 2010)
14
15 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
16 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
17 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
18 the rubygems loading code. Add USE flag for psych.
19
20 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
21 ruby-1.9.2_rc2.ebuild:
22 Remove two keepdir that will try to keep an empty path, closes bug
23 #333163.
24
25 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
26 Marked ~ppc (bug #332593).
27
28 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
29 ruby-1.9.2_rc2.ebuild:
30 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
31
32 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
33 ruby-1.8.7_p299.ebuild:
34 Bump eselect-ruby dependency
35
36 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
37 -ruby-1.9.1_p429.ebuild:
38 Remove ebuild that is not target for unmask anyway.
39
40 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
41 ruby-1.9.2_rc2.ebuild:
42 Try 2 to fix the berkdb 5 issue on 1.9.
43
44 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
45 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
46 ruby-1.9.2_rc2.ebuild:
47 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
48 support for adding new patchsets without bumping the revision for all the
49 old ebuilds as well.
50
51*ruby-1.9.2_rc2 (14 Jul 2010)
52
53 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
54 +ruby-1.9.2_rc2.ebuild:
55 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
56 might cause _further_ build failures as it changed slightly behaviour.
57 You're going to need to rebuild rubygems and then all the packages
58 previously installed after upgrading to this.
59
60 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
61 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
62 -ruby-1.9.1_p376.ebuild:
63 Cleanup old versions.
64
65*ruby-1.9.1_p429 (04 Jul 2010)
66
67 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
68 +ruby-1.9.1_p429.ebuild:
69 Version bump to new 1.9.1 release.
70
71*ruby-1.8.7_p299 (23 Jun 2010)
72
73 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
74 +ruby-1.8.7_p299.ebuild:
75 Version bump.
76
77 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
78 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
79 remove useless comments
80
81 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
82 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
83 ruby-1.9.1_p376.ebuild:
84 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
85 dev.gentoo.org now.
86
87 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
88 ruby-1.9.1_p376.ebuild:
89 Use the correct RUBYLIB.
90
91*ruby-1.8.7_p249-r2 (18 May 2010)
92*ruby-1.8.6_p388-r1 (18 May 2010)
93
94 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
95 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
96 ruby-1.9.1_p376.ebuild, metadata.xml:
97 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
98 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
99 add USE flags for ncurses, readline and libedit, and properly depend on
100 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
101 Emacs versions support ruby-mode themselves and it should be even more
102 updated.
103
104*ruby-1.8.7_p249-r1 (06 May 2010)
105
106 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
107 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
108 309789 by Sune Kloppenborg Jeppesen.
109
110 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
111 ruby-1.8.7_p249.ebuild:
112 Use $PVR instead of $PV in patchset names
113
114 06 May 2010; Alex Legler <a3li@gentoo.org>
115 -files/ruby-1.8.6-memory-leak.diff,
116 -files/ruby18-mkmf-parallel-install.patch,
117 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
118 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
119 Remove old version. Cleanup in files/
120
121*ruby-1.9.1_p376 (01 May 2010)
122
123 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
124 Version bump. Fixes security bugs 296052 and 300468. No longer installs
125 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
126 instead.
127
128 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
129 -ruby-1.8.7_p174-r1.ebuild:
130 Remove vulnerable ebuilds, 300468
131
132 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
133 ruby-1.8.7_p249.ebuild:
134 amd64 stable, security bug 300468
135
136 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
137 ruby-1.8.7_p249.ebuild:
138 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
139
140 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
141 Stable for HPPA (bug #300468).
142
143 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
144 Stable for HPPA (bug #300468).
145
146 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
147 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
148
149 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
150 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
151
152 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
153 ruby-1.8.6_p388.ebuild:
154 stable x86, security bug 300468
155
156 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
157 ruby-1.8.7_p249.ebuild:
158 stable x86, security bug 300468
159
160*ruby-1.8.6_p388 (10 Jan 2010)
161
162 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
163 +ruby-1.8.6_p388.ebuild:
164 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
165 version. The new ebuild also has the fix for bug 168939.
166
167*ruby-1.8.7_p249 (10 Jan 2010)
168
169 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
170 +ruby-1.8.7_p249.ebuild:
171 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
172 version
173
174 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
175 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
176
177*ruby-1.8.7_p248 (25 Dec 2009)
178
179 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
180 Version bump
181
182 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
183 Remove old version.
184
185 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
186 Remove old version.
187
188 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
189 ia64/s390/sh stable wrt #288699
190
191 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
192 stable sparc, bug 288699
193
194 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
195 arm stable, bug #288699
196
197 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
198 amd64/x86 stable, bug #288699
199
200 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
201 ruby-1.8.7_p174-r1.ebuild:
202 Stable on alpha, bug #288699
203
204 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
205 ppc stable #288699
206
207 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
208 Stable for HPPA (bug #288699).
209
210 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
211 Marked ~hppa too.
212
213*ruby-1.8.7_p174-r1 (06 Oct 2009)
214
215 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
216 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
217 eselect-ruby cleanup feature.
218
219*ruby-1.9.1_p243 (09 Sep 2009)
220
221 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
222 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
223 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
224 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
225 -files/ruby19-rubygems-proxy.patch,
226 -files/ruby-1.9.1_p129-parallelmake.patch,
227 -files/ruby19-mkmf-parallel-install.patch:
228 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
229 168939. Cleaning up old patches.
230
231*ruby-1.8.6_p383 (20 Aug 2009)
232
233 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
234 Patchlevel bump.
235
236 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
237 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
238 ruby-1.9.1_p129-r1.ebuild:
239 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
240
241 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
242 Removing vulnerable ebuild, bug 273213.
243
244 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
245 Marking ruby-1.8.6_p369 ppc for bug 273213
246
247 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
248 ruby-1.9.1_p129-r1.ebuild:
249 Prepend our library path instead of overwriting it during src_install.
250 Thanks to the reporter of bug #274824.
251
252*ruby-1.8.7_p174 (18 Jun 2009)
253
254 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
255 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
256 Replacing 187_p173 with _p174 because of a regression. Unifying the
257 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
258 patchsets.
259
260 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
261 Marking ruby-1.8.6_p369 ppc64 for bug 273213
262
263 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
264 arm/ia64/s390/sh/sparc stable wrt #273213
265
266 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
267 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
268 Removing old version, minor cleanup
269
270 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
271 -files/ruby-1.8.6-openssl.patch,
272 -files/ruby-1.8.6-shortname_constants.patch,
273 -files/ruby-1.8.6_p111-r13657.patch,
274 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
275 Removing vulnerable old Ruby version and stale patches, bug 274108.
276
277 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
278 ruby-1.8.6_p369.ebuild:
279 Stable on alpha, bug #273213
280
281 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
282 Stable for HPPA (bug #273213).
283
284 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
285 ruby-1.8.6_p369.ebuild:
286 stable x86, security bug 273213
287
288 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
289 amd64 stable, security bug 273213.
290
291*ruby-1.8.7_p173 (10 Jun 2009)
292*ruby-1.8.6_p369 (10 Jun 2009)
293
294 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
295 +ruby-1.8.7_p173.ebuild:
296 Version bumps for bug #273213.
297
298*ruby-1.9.1_p129-r1 (27 May 2009)
299
300 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
301 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
302 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
303 +files/ruby-1.9.1_p129-parallelmake.patch:
304 Revision bump, add patches 1) to make Ruby behave more similarly between
305 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
306 extensions (undefined symbols in them will cause abort at runtime 3) to
307 remove a concurrency issue when building the dl extension that could
308 result in a broken dl.so.
309
310 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
311 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
312 Don't block rdoc-2 or later (which may enter Portage one day as it's
313 needed by some Rakefiles).
314
315 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
316 ruby-1.9.1_p129.ebuild:
317 Add ~x86-fbsd keyword.
318
319 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
320 keyword ~sparc-fbsd, bug #252315
321
322*ruby-1.9.1_p129 (15 May 2009)
323
324 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
325 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
326 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
327 included in every release.
328
329 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
330 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
331 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
332 ruby-1.8.7_p160.ebuild:
333 Removing vulnerable versions (#268515), fixing license (#233747).
334
335 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
336 Stable for HPPA (bug #268515).
337
338 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
339 Adapting rubygems notice.
340
341 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
342 amd64 stable, bug #268515.
343
344 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
345 arm/ia64/s390/sh/sparc stable wrt #268515
346
347 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
348 ruby-1.8.6_p368.ebuild:
349 stable x86, security bug 268515
350
351 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
352 ruby-1.8.6_p368.ebuild:
353 Stable on alpha, bug #268515
354
355 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
356 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
357
358*ruby-1.8.7_p160 (07 May 2009)
359*ruby-1.8.6_p368 (07 May 2009)
360
361 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
362 +ruby-1.8.7_p160.ebuild:
363 Version bump as per secbug 268515. NB: These are the first ebuilds that
364 no longer use ruby-config.
365
366*ruby-1.9.1-r1 (03 Apr 2009)
367*ruby-1.8.7_p72-r11 (03 Apr 2009)
368*ruby-1.8.6_p287-r13 (03 Apr 2009)
369
370 03 Apr 2009; Alex Legler <a3li@gentoo.org>
371 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
372 +files/ruby18-mkmf-parallel-install.patch,
373 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
374 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
375 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
376 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
377 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
378 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
379 happy.
380
381*ruby-1.9.1 (21 Mar 2009)
382
383 21 Mar 2009; Alex Legler <a3li@gentoo.org>
384 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
385 +ruby-1.9.1.ebuild:
386 Adding Ruby 1.9.1 for preliminary testing
387
388 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
389 ruby-1.8.6_p287-r12.ebuild:
390 Marked ~ppc for bug #252315.
4 391
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild: 392 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes 393 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982. 394 bug 261982.
8 395

Legend:
Removed from v.1.386  
changed lines
  Added in v.1.466

  ViewVC Help
Powered by ViewVC 1.1.20